%define name suspend
%define version 1.0
# 20080612
%define cvs 0
%define rel 3
%if %{cvs}
%define distname %{name}-%{version}.%{cvs}
%define release %mkrel %{rel}.%{cvs}
%else
%define distname %{name}-utils-%{version}
%define release %mkrel %{rel}
%endif

# Not really used yet, so disable for now
%bcond_with	uclibc

Summary: Userland tools for suspend-to-disk and suspend-to-RAM
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%{name}/%{distname}.tar.bz2

#- opensuse patches
Patch1: suspend-comment-configfile-options.diff
# not needed in Mageia
#Patch2: suspend-susescripts.diff
Patch3: suspend-default-compress.diff
Patch4: suspend-disable-bootsplash.diff
Patch5: suspend-default-splash.diff
# user interruption could be considered as an error, don't apply
#Patch6: suspend-0.80-dont-return-eintr-on-abort.diff
Patch10: suspend-0.80-keygen-new-defaults.diff
# we don't test whitelist
#Patch11: suspend-0.80-make-whitelist-test.diff
# not needed, builds fine
#Patch12: suspend-buildfixes.diff
Patch13: suspend-0.80-vbetool-retry-on-errors.diff
# we don't use bootsplash, not needed
#Patch16: suspend-splash-verbose-debug.diff
#Mandriva/openSUSE patch to enable plymouth support (Thanks to F. Crozat)
Patch17: suspend-plymouth.patch
Patch18: s2disk-do-not-fail-hibernation-withoug-a-vt-console

#- Mageia patches
Patch102: suspend-utils-1.0-mgacomment.patch
Patch103: suspend-0.8-printf_format.patch
# (proyvind): to get _GNU_SOURCE defined, fixes build with uclibc
Patch106: suspend-0.8.20080612-configure-gnu-source.patch
Patch107: suspend-utils-1.0-automake-1.13.patch

License: GPLv2
Group: System/Kernel and hardware
Url: http://suspend.sourceforge.net/
BuildRequires: pciutils-devel libx86-devel liblzo-devel 
BuildRequires: zlib-devel
# (tv) fix upgrade ordering (libpci3 needs to be updaded from 3.0 to 3.1 before ldetect is upgraded):
Requires: %{mklibname pci 3} >= 3.1
ExcludeArch: ppc
Obsoletes: wltool
Obsoletes: suspend-wltool
Requires(post): drakxtools-backend >= 10.4.97-1mdv2007.1
Requires(post): mkinitrd >= 4.2.17-27mdv2007.1
BuildRequires: plymouth-devel >= 0.7.2
%if %{with uclibc}
BuildRequires: uClibc-devel
%endif

%description
The goal of the project is to create a tool that can handle the so
called "suspend-to-both". Suspend to both means that prior putting the
system in STR (suspend to ram) a snapshot of the running system is
taken and stored on disk (as suspend to disk); if for any reason
(e.g. battery depleted) the state store in the RAM is lost the user
can resume from the disk without loosing data.

Currenty suspend-to-ram and suspend-to-disk are handled by two
different program, s2ram and s2disk.

%package s2ram
Summary: Suspend-to-RAM utility
Group: System/Kernel and hardware
Conflicts: suspend < 0.5-4mdv2007.1

%description s2ram
s2ram is a suspend-to-RAM utility.

%prep
%setup -q -n %{distname}
#- opensuse patches
%patch1 -p1
#%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
#%patch6 -p1
%patch10 -p1
#%patch11 -p0
#%patch12 -p0
%patch13 -p0
#%patch16 -p1
%patch17 -p1
%patch18 -p1

#- Mandriva/Mageia patches
%patch102 -p1 -b .mdvcomment
%patch103 -p1 -b .printf_format
%patch106 -p1 -b .gnu_source~
%patch107 -p1 -b .automake-1_13

%build
#needed by patch105
libtoolize --force
autoreconf

export CONFIGURE_TOP=`pwd`
%if %{with uclibc}
mkdir -p uclibc
cd uclibc
%configure2_5x \
  CC="%{uclibc_cc}" \
  CFLAGS="%{uclibc_cflags}" \
  --enable-compress \
  --enable-plymouth \
  --enable-threads \
  --disable-resume-static
%make
cd ..
%endif

mkdir -p shared
cd shared
%configure2_5x \
  --enable-compress \
  --enable-plymouth \
  --enable-threads \
  --disable-resume-static
%make
cd ..

%install
rm -rf %{buildroot}
install -d %{buildroot}{,%{uclibc_root}}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}
%if %{with uclibc}
install -m755 uclibc/resume -D %{buildroot}%{uclibc_root}%{_libdir}/%{name}/resume
ln -sf %{uclibc_root}%{_libdir}/%{name}/resume %{buildroot}%{uclibc_root}%{_sbindir}/resume
%endif

%makeinstall_std -C shared
ln -sf %{_libdir}/%{name}/resume %{buildroot}%{_sbindir}
mv %{buildroot}%{_docdir}/suspend-utils %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%post
/usr/sbin/bootloader-config --action rebuild-initrds || :

%files
%defattr(-,root,root)
%doc HOWTO README README.s2ram-whitelist
%{_sbindir}/resume
%{_sbindir}/s2both
%{_sbindir}/s2disk
%{_sbindir}/swap-offset
%{_libdir}/%{name}/resume
%config(noreplace) %{_sysconfdir}/%{name}.conf
%if %{with uclibc}
%{uclibc_root}%{_sbindir}/resume
%{uclibc_root}%{_libdir}/%{name}/resume
%endif

%files s2ram
%defattr(-,root,root)
%{_sbindir}/s2ram




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 383821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.0-2.mga3
+ Revision: 337934
- patch107: fix build with automake 1.13

* Wed Sep 26 2012 blino <blino> 1.0-1.mga3
+ Revision: 298511
- rediff comment removal patch
- do not package removed TODO file
- move doc files to the proper dir
- drop old splashy patch (splashy is deprecated)
- drop no-s2ram-quirks patch, upstream now skips quirks for KMS drivers
- drop old bootsplash patch
- sync patches with openSUSE (including adaptation to new plymouth API)
- 1.0

* Fri Feb 18 2011 ahmad <ahmad> 0.8-11.20080612.mga1
+ Revision: 53879
- imported package suspend

